Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [drush]

Use it for questions about the command line shell and Unix scripting interface for Drupal (a.k.a. Drush).

1
vote
0answers
440 views

Drush does not get upgraded using composer [duplicate]

I got the following in composer.json: "name": "drupal/drupal", "description": "Drupal is an open source content management platform powering millions of websites and applications.", "type": "project",...
0
votes
1answer
29 views

Drush not working on Multisite with Shared User Table

I have a Drupal 7 Multisite Environment with sub-directories. (E.g): mainsite.com mainsite.com/multisite1 mainsite.com/multisite2 mainsite.com/multisite3 etc. Each website has its own Database and ...
0
votes
0answers
293 views

Command “webform-libraries-download” is not defined

Suddenly the command in the title decided to stop working. [Symfony\Component\Console\Exception\CommandNotFoundException] Command "webform-libraries-download" is not defined. I'm on Drupal 8.4.2 ...
9
votes
1answer
3k views

How do I use Drush 8 site aliases in Drush 9?

In Drush 8, my site aliases are loaded correctly from ~/.drush/mysite.aliases.drushrc.php. E.g. $aliases['dev'] = array( 'root' => '/var/www/html/mysite.dev/docroot', 'uri' => 'mysite.prod....
0
votes
1answer
56 views

Drush cannot rr or en a module

I have a Drupal 7 dev-site hosted on pantheon. Using git bash and composer I installed drush on my windows 10 machine and I thought I did so globally. When I run composer --version and drush status I ...
0
votes
2answers
253 views

Entity updates fails after migration D8

So we have taken over a site and I migrated yamlforms to webforms with yamlform_to_webform module using drush. Now when I do a drush updb I get an error that says: The SQL storage cannot change the ...
1
vote
2answers
593 views

Executing drush in a bash script [closed]

I'm under MacOSX and I'm struggling for hours trying to figure out how to make drush run from a bash script. So let's say I create a named build, then I make it executable. now I begin the script like ...
1
vote
1answer
96 views

Drush 9 command equivalent to core-quick-drupal (qd)?

In Drush 8, there is a core-quick-drupal (qd) command, however, it's missing in Drush 9. Is there any equivalent command in Drush 9 which allows to download, install and serve Drupal with minimal ...
0
votes
1answer
294 views

How to list all the commands in Drush 9 (aka: drush help)?

I'm trying to list all the available commands by drush help, however I've the error: $ drush help [Symfony\Component\Console\Exception\CommandNotFoundException] ...
1
vote
0answers
95 views

Why do I get this error?

I installed Drush with Composer and I get well the Drush version. drush cache-clear drush works too, but drush webform-libraries-make returns me the following error. The drush command 'webform-...
1
vote
1answer
331 views

cannot use some drush commands

I am running into some trouble with drush I can't pm-enable the modules I just downloaded with it. I did some research but none of the solution worked for me, most cases involved switching "localhost" ...
1
vote
2answers
2k views

How to get one time login for all the users?

I want to send one time login for all the users, So I am using drush uli and getting link like: http://html/user/reset/1/1509979615/VBPx_FMfKeJUEt1moVcsSQGUMX_tFUSYEdEfRlmq7eA So if the user 5 ...
4
votes
3answers
1k views

Unable to load class \Drush\VersionControl\Backup

I keep getting this error : Unable to load class \Drush\VersionControl\Backup every time i attempt to update my Drupal install from 8.4.0 to 8.4.2. I am running the composer provided drush Drush ...
1
vote
1answer
424 views

Core update error

I'm trying to run a composer update from my webroot directory. When I use composer update drupal/core --with-dependencies, it returns: Package "drupal/core" listed for update is not installed. ...
3
votes
2answers
768 views

Declaration of DrushInputAdapter::hasParameterOption($values) must be compatible with Symfony

I have a Drupal 8 site set up with Acquia Dev Desktop on my localhost. I am using PHP 7.0.14; everything is working fine, and the site works perfectly. I installed Drush 8. When I try to run drush ...
1
vote
2answers
674 views

Errors when running Drush 9 on shared server

I'm attempting to to install Drush 9 on Media Temple (shared hosting). We have a number of Drupal 7 (D7) sites on the server, and we've just recently started to migrate them to Drupal 8 (D8). Drush is ...
2
votes
2answers
255 views

Stuck with Drush on OS X with AMPPS and Homebrew

I am setting up a new development environment on a local machine and am using AMPPS. I have installed Drush using Homebrew and am running a Mac (OS X 10.12.5 Sierra). I have successfully installed a ...
1
vote
0answers
143 views

Exported configuration with drush cex only visible in docker shell, not in local repo [closed]

I have a Drupal 8 local development environment running with Docker. I can use drush (use drush cr, drush cex -y etc) after I login with ssh in docker. I make some configuration changes in my Drupal ...
5
votes
1answer
132 views

Update core keeping other composer packages

After upgrading Drupal to the last version with Drush (8.1.15) the other composer.json dependencies (e.g. drupalconsole) are removed. Are there any way to update Drupal with Drush keeping other ...
2
votes
1answer
389 views

Export a specific non-default database using drush sql-dump

My Drupal 7 site connects to multiple databases using a $databases array like this: $databases = [ 'default' => [ 'default' => [ 'database' => 'examplecom', 'username' =>...
0
votes
1answer
167 views

local drush - installation failed [duplicate]

I recently manually upgraded to Drupal 8.4, from 8.3 because I couldn't get drush to work. I'm now trying to install drush locally as this seems to be the recommended way from the drush documentation. ...
1
vote
2answers
367 views

Drush installation problem [closed]

I've twice followed these instructions to install Drush 8. At the end of the process I can run Drush anywhere and it responds as expected. However, whenever my server connection is broken and I log ...
1
vote
1answer
29 views

What linux user accounts should be created prior to Drupal 7 install?

When preparing to install Drupal 7 on a clean linux installation (Centos 7 in my situation), what linux user accounts should be created? I ask this question because I seem to be having problems with ...
1
vote
1answer
768 views

How to get Drush in my path in Windows 10?

I have Drush 9 installed on Windows 10. I installed it via Composer using Lando. I want to put this drush in my system path so that I can use it from cmd.exe, Powershell, and so on. I want to do ...
2
votes
1answer
338 views

No release history was found for the requested project

When I try to download registry_autoload via drush dl registry_autoload I get this error: No release history was found for the requested project Is this an issue with the module's .info file, or ...
3
votes
1answer
150 views

Output array data on drush error when showing stack trace

I'm trying to install a module, but its giving me errors during a drush enable. It shows the stack trace log and I can see it has something to do with the flag_lists_type during the install process. I ...
1
vote
2answers
348 views

“No Drupal site found” — Windows and SQL Server

So I'm trying to upgrade our system from using Drush 6 to Drush 8, as that is the currently supported version of Drush that supports Drupal 7. I have managed to get drush working, however it does not ...
0
votes
2answers
499 views

Drush 8 not working correctly on (LAMP) Ubuntu 16.04

I am running LAMP on Ubuntu 16.04. I have a drupal 7 installation and I have installed drush 8.1.3 via Composer version 1.5.2. I believe there is bug in php7.2 causing the error as discussed on ...
1
vote
1answer
36 views

How to know the module package?

I need to know the package of a given module to performs some actions inside the implementation of a custom a drush command. So usually you will find that we will found this information in the ...
4
votes
1answer
185 views

Should drush configuration export automatically update core.extension.yml?

The Drupal 8 documentation seems to be lacking in regards to the core.extension.yml file, so I'm a little confused on the right way of updating it. Should drush be populating it on config export, or ...
0
votes
1answer
403 views

Drush command terminated abnormally

I'm using https://github.com/drupal-composer/drupal-project and get an error when starting drush: [~/public_html/drupal]# alias drush="~/.composer/vendor/bin/drush" [~/public_html/drupal]# drush [...
1
vote
4answers
107 views

How to use negative number as argument value in a drush command?

I'm trying to create a drush command that need negative and positive numbers as argument, all works fine with the positive numbers, but once I tried to use the negative number I get this error: [...
1
vote
0answers
40 views

There is a standard for the error codes in the drush_set_error() function?

I usually use the drush_set_error() function when I want to log a error in drush, sometimes I just do something like this: drush_set_error('DRUSH_INVALID_ARGUMENT', '....'); sometimes ...
0
votes
0answers
144 views

Update breaks Drush

When running composer update on the latest Drupal 8.4 rc1 Drush breaks. I get the following error: \Drush\Drupal\Commands\core\Array is not a valid Fqsen. What do I need to do?
-2
votes
2answers
269 views

Is there a better way to install drush on Bluehost? [closed]

I registered Bluehost, because they are recommended by drupal and because I wanted shell access for drush. I tried to install drush, but got some problems. Bluehostforum.com doesn't seem to be online ...
0
votes
0answers
266 views

Drush update using composer STUCK

I included drush in the composer.json file, when I try to run any drush command, an error comes up saying drush must be version 8 to work and the current version is 7. when I run composer update OR ...
0
votes
0answers
30 views

drush Fatal Error [duplicate]

I am running a Ubuntu 16.04 LAMP set-up with a Drupal 7 site and PHP5.6. I have successfully installed composer and I am attempting to install Drush 8.1.13 which should be compatible with my Drupal 7 ...
0
votes
0answers
472 views

Why do I get an error about cache_get() being a undefined function? How do I fix it?

I am running a Ubuntu 16.04 LAMP set-up with a Drupal 7 site and PHP 5.6. I have successfully installed composer and I am attempting to install Drush 8.1.13 which should be compatible with my Drupal ...
1
vote
1answer
733 views

How to resolve the Composer related error shown using the Drush DL command?

I am working on MAMP and I have already installed a Drupal 7 site in my local machine ( not using Drush or Composer ). Then I have installed Composer and Drush ( Installing Drush on MAMP ). Now my ...
0
votes
0answers
36 views

Change Drush DB Username LAMP

I am attempting to use drush to change the collation of my local installation of drupal 7 on LAMP to utf8_unicode_ci. However each time that I run: drush utf8mb4-convert-databases I receive an ...
1
vote
0answers
214 views

Drupal 8 User feature export display errors

I am getting errors once export user feature. I have just export and put inside my module folder. Drush show below error: Symfony\Component\DependencyInjection\Exception\ParameterNotFoundException: ...
0
votes
1answer
628 views

Drush make: simplexml_load_file(): I/O warning : failed to load external entity “” Project.php:74

I'm facing a very strange issue with Drush wget and OpenSSL on my mac book (MacOSX Sierra). When I launch drush make site.make command (which should theoretically download the all modules) it fails ...
0
votes
2answers
316 views

Cannot install Drupal via drush in the root of site

I am going absolutely insane. I have been up for several hours scouring the internet, installing, removing, installing, removing, and I CANNOT get Drupal (7 or 8) to install at the root of a site (...
0
votes
0answers
224 views

What may cause 'Destination directory already exists' when trying to upgrade?

I'm trying to upgrade a Drupal 8 installation on Centos 6.8 with latest Drush 8.1.13. PHP Version : PHP 5.6.27 (cli) (built: Oct 15 2016 21:31:59) My command is: drush up drupal -d After ...
0
votes
2answers
209 views

How do I reset all user passwords to 123 with drush or SQL?

For testing purposes I like to reset all user passwords to 123. Is this possible in Drush or SQL? I guess the query will be someting like this but cannot find the exact yourhash: UPDATE `<...
0
votes
1answer
86 views

How to output just the Name and Status in drush listing modules

Running drush pm-list gives the modules and theme list through some fields. By default, it gives me the Package, Name, Status and Version. I am trying to make a shell script that outputs only module ...
1
vote
1answer
47 views

What drush version I can use that doesn't require composer?

I try to use drush on the server that is behind corporate firewall, and downloads from many sites are blocked. In particular, when I run "composer diag", it hangs for the long time on the line "...
0
votes
1answer
169 views

Updated drush, but status shows old version

I have a D7 site running in a Vagrant VM. I was getting the following error when attempting to run drush updb from the site folder: Command updatedb needs a higher bootstrap level to run - you ...
0
votes
1answer
50 views

How to limit “drush pm-updatestatus” to check only given project?

When I run the drush pm-updatestatus drupal it keeps checking all other projects like: drush pm-updatestatus drupal Checking available update data ... ...
0
votes
1answer
72 views

Create folders in custom installation profile fails when usind drush site-install

I am working on a custom installation profile, and am using $_SERVER['DOCUMENT_ROOT'] as part of creating custom folders inside <drupal-root>/sites/sitename.tld/. It works as expected when using ...